Bug 10407 - ugly initscript
: ugly initscript
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/unfs3)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-12 18:18 by
Modified: 2006-12-19 20:35 (History)


Attachments
pidfile creation patch (2.17 KB, patch)
2006-12-12 18:19, Nick S. Grechukh
no flags Details | Diff
init.d/nfs (1.84 KB, text/plain)
2006-12-12 18:20, Nick S. Grechukh
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-12 18:18:30
вложенный в пакет инитскрипт сказочно крив. в аттаче нормальный скрипт и патч
unfsd для создания pidfile
------- Comment #1 From 2006-12-12 18:19:26 -------
Created an attachment (id=1702) [details]
pidfile creation patch
------- Comment #2 From 2006-12-12 18:20:08 -------
Created an attachment (id=1703) [details]
init.d/nfs
------- Comment #3 From 2006-12-12 18:21:56 -------
можно обойтись без патча, запускать как 

start_daemon --make-pidfile --pidfile "$PIDFILE" --lockfile "$LOCKFILE"
--expect-user root -- $NFSD -b $UNFS_OPTS

но лучше зопатчить
------- Comment #4 From 2006-12-12 22:25:17 -------
2 rider: сделай pls

unfs3 rem gvy
unfs3 add mike

а то промазал, и так оно и застряло

2 gns: спасибо, всё руки не доходили до сказочно кривого...
------- Comment #5 From 2006-12-13 20:13:11 -------
2 mike: пожалуйста, приходите еще :)
------- Comment #6 From 2006-12-17 16:15:50 -------
fixed in 0.9.16-alt1
------- Comment #7 From 2006-12-17 16:22:24 -------
за неделю активного использования обнаружил проблему: через некоторое время 
service nfs status начинает отвечать nfs is dead, but stale pidfile found. хот 
глазами видно, что это не так: содержимое /var/run/nfs.pid соответствует pid 
unfsd. проблема кажется решилась заменой в скрипте $NFSD на unfsd во всех 
вызовах start-stop-daemon
------- Comment #8 From 2006-12-18 15:07:43 -------
Видишь, пришёл ещё :)

Сделал чуть иначе в 0.9.16-alt2:
NFSD=unfsd
BINARY=/usr/sbin/$NFSD
------- Comment #9 From 2006-12-19 20:20:47 -------
вроде BINARY там только для [ -f $BINARY. а зачем проверять наличие каждого
бинарника, у нас же вроде как пакетная система ?
------- Comment #10 From 2006-12-19 20:31:54 -------
(смутившись) Ну мало ли. :)  По-ъорошему, надо бы [ -x ...
------- Comment #11 From 2006-12-19 20:35:21 -------
ну, имхо -x нужен только для поддержки legacy admins, делающих chmod -x
/usr/bin/service вместо chkconfig service off ;))